using LegacyUnitTesting.Models;

namespace LegacyUnitTesting.Models
{
    public class ShippingMethodFactory
    {
        public ShippingMethodFactory()
        {
        }

        public IShippingStrategy GetShippingMethod(ShippingMethod meth)
        {
            IShippingStrategy sStrat = new OriginalShip();
            switch (meth)
            {
                case ShippingMethod.Fedex:
                    sStrat = new FedexShip();
                    break;
                case ShippingMethod.USPS:
                    sStrat = new USPSShip();
                    break;
                    //…more shipping methods…
            }

            return sStrat;
        }

    }
}